import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';


const csvUrl = 'https://gist.githubusercontent.com/1godfrey/b75a398c6dee927066e4224e9b633287/raw/CSSNamedColors.csv';

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);

  if(!data) {
  	return <pre>Loading...</pre>;
  }
 
  return data.map(d => ( 
    <div 
      style={{
        backgroundColor: d['RGB hex value'], 
        width: '960px', 
        height: '4px'
      }} 
    /> 
  ));
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);